23.08.2019 14:36    

ahmet82
teşekkürler :)

31.08.2019 23:44    

erhan195
Merhaba

Blok Attribute içeren bir Multileader da Attribute text değerlerini set etmeye çalışıyorum. Standart Multileader veya Attribute içeren blogun text değerlerini değiştire biliyorum ancak Blok Attribute içeren bir Multileaderın text değerlerini değiştiremiyorum. Konuyla ilgili yardımlarınızı rica ediyorum. Şimdiden teşekkürler



413519-test-att.dwg

02.09.2019 07:05    

ehya
erhan195




Göndermiş olduğunuz dosyadaki çizimi blok yapınca TAG değerini mi değiştiremiyorsunuz?

NENTSEL komutu ile seçmeyi denediniz mi?

04.09.2019 10:21    

erhan195
Oldu hocam teşekkürler :)

05.09.2019 12:53    

ahmet82
dışarıdan veri girişi

merhabalar,

getreal fonksiyonuna şart koymak istiyorum yalnızca belirlediğim 10,20,30,50 değerlerinden birini alabilsin ve defaultta da 20 olsun.
Bunu nasıl yapabilirim daha önce yaptım diye hatırlıyorum bunu ama şimdi notlarımda bulamadım.
yardımcı olabileceklere çok teşekkür ederim.

05.09.2019 13:42    

Travaci
getkword ile daha kısa ve işlevsel olucaktır.

Kod:

(defun c:test (/ gt sc)
  (initget "10 20 30 50")
  (if (setq gt (getkword "\nEnter ur value [10/20/30/50]:"))
    (setq sc (atoi gt)) (setq sc 20))
  (princ sc)
  (princ)
)

06.09.2019 12:41    

ahmet82
sağ ol hocam teşekkür ederim hocam :)

bir de ben lisp yazdıktan sonra ctrl+z ile parça parça geriye gitsin istemiyorum lispi çalıştırmadan önceki hale direkt geri gelsin istiyorum bunu nasıl yapabilirim.

06.09.2019 12:59    

Travaci
Kodun basşına değilde sadece işlemi yapıcağın kısıma undo koy ki escape gibi işlemlerde undo açık kalmasın.

Kod:

(defun c:test (/)
  (setvar "cmdecho" 0)
  (command "_.undo" "be")
  ...
  ...
  (command "_.undo" "e")
  (princ)
)

07.09.2019 09:32    

ahmet82
adamsın başkan sağ ol

22.09.2019 15:17    

BLack|E
Merhaba,
uzun zamandır yaşadığım bir sorun var. dxf kodlarının tamamını nasıl temin edebilirim.
https://cizimokulu.com/847-turkce-autolisp-kitabi.html
linkinde bazı dxf kodları paylaşılmış fakat tamamı gerekiyor.

Mesela Daire için
0 >nesne türü
8 >katman adı
10 >merkez noktası
40 >yarı çap
11 > ????

gibi, örnekleri çoğaltabilirim. Önemli olanların dışında diğer kodlara da ihtiyaç duyulabiliyor.

22.09.2019 15:31    

Travaci
BLack|E


Kod:

(defun c:info (/ in)
  (if (setq in (entsel "\nSelect object:"))
    (progn
      (textscr)
      (princ "\n*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\n")
      (foreach in (entget (car in)) (print in))
      (princ "\n\n*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*")
    )
  ) (princ)
)

Travaci (23.09.2019 06:57 GMT)

22.09.2019 16:01    

BLack|E
Teşekkür ederim.

07.10.2019 14:44    

mesuttasar
Arkadaşlar merhaba, bir lisp oluşturdum, son adıma kadar istediğim şekilde işlem yapıyor ama en sonda SWEEP işlemini yaptırma mantığını çözemedim. Manuel olarak yapıyorum haliyle. Yaptırmak istediğim, kodlarla bir line çizilmesi ve line in başlangıç noktasında çizdirilen circle ile çizilen line a sweep komutunun uygulanması. Nasıl ilave yapmam gerekiyor. Şimdiden teşekkür ederim.

Kod:

(defun c:l2c ( / ent )
(setvar "osmode" 0)
(setq ss (ssget )) ;Line seçimi yapildi
  (setq bb (ssname ss 0))
  (setq cc (entget bb))
 
                        (setq x1 (car  (cdr (assoc 10 cc)))) ;baslangic noktasinin x koordinati
  (setq y1 (cadr  (cdr (assoc 10 cc)))) ;baslangic noktasinin y koordinati

  (setq x2 (car (cdr (assoc 11 cc)))) ;bitis noktasinin x koordinati
(setq y2 (cadr (cdr (assoc 11 cc)))) ;bitis noktasinin y koordinati

  (command "zoom" (list (- x1 5) (+ y1 5) 0) (list (+ x1 5) (- y1 5) 0)) ;baslangic noktasina zoom
  (setq z1 (getreal "\nBaslangic Noktasi Kotunu Giriniz: "))

  (command "zoom" (list (- x2 5) (+ y2 5) 0) (list (+ x2 5) (- y2 5) 0)) ;bitis noktasina zoom
  (setq z2 (getreal "\nBitis Noktasi Kotunu Giriniz: "))
  (setq cap (getreal "\nBoru Capini (mm) Giriniz: "))
  (setq cap2 (/ cap 1000))
  (setq cz (+ z1 (/ cap2 2)))
  (setq cz2 (+ z2 (/ cap2 2)))
  (command "line" (list x1 y1  cz) (list x2 y2 cz2) "") ;z koordinatlarina göre line cizildi
  (command "line" (list x1 y1  z1) (list x2 y2 z2) "") ;z koordinatlarina göre 2. line akar kota cizildi
  (command "zoom" (list (- x1 5) (+ y1 5) 0) (list (+ x1 5) (- y1 5) 0)) ;baslangic noktasina zoom
  (command "circle" (list x1 y1 cz) (/ cap2 2) "") ;baslangic noktasina sweep icin circle cizdi
  (command "sweep")

  )

08.10.2019 12:20    

Travaci
Çizgini çizdikten sonra kameranı çizgiye dik çevir ucs nide ucs view ile görünüşe göre deiştir circle larını buna göre yerleştir,
(setq nm (entlast)) ile nesneleri çizdikten sonra entity lerinı alıp daha sonra sweep komutu içinde kullanabilirsin.

10.10.2019 17:54    

BLack|E
Merhaba,
Hocalarım aşağıdaki kot ile Window (pencere) seçme yöntemi için kullanıyoruz biliyorsunuz.

Kod:

(setq a (ssget “W” pnt1 pnt2))

ya da
Kod:

"(setq p1 (getpoint ""\n1.Nokta:"")
p2 (getcorner ""\n2.Nokta:""))"
(ssget "c" p1 p2)


ben bir kod yazmaya çalışıyorum, bir çizgi seçip onun açısını alıyorum.
Buraya kadar sorun yok.
Bu açıyı ssget ile seçim çerçevesine uygulamak istiyorum. yani seçip çerçevesi açılı hareket edecek.
Bununla ilgili yardımcı olabilir misiniz?

11.10.2019 09:36    

alumina
Alıntı
BLack|E :

Bu islemi autocad de manuel olarak yapabiliyor musun?

11.10.2019 14:10    

BLack|E
Alıntı
alumina :
Alıntı
BLack|E :

Bu islemi autocad de manuel olarak yapabiliyor musun?



UCS ile açıyı yakalayabiliyorum ve draw araç çubuklarındaki komutları kullanabiliyorum,
modify araç çubuğunda olmuyor. Kısacası yapamıyorum hocam.

11.10.2019 16:08    

alumina
Alıntı
BLack|E :


ben bir kod yazmaya çalışıyorum, bir çizgi seçip onun açısını alıyorum.
Buraya kadar sorun yok.
Bu açıyı ssget ile seçim çerçevesine uygulamak istiyorum. yani seçip çerçevesi açılı hareket edecek.
Bununla ilgili yardımcı olabilir misiniz?

Sordugun soruyla verdigin cevap ayni mi?

12.10.2019 10:42    

BLack|E
Alıntı
alumina :
Alıntı
BLack|E :


ben bir kod yazmaya çalışıyorum, bir çizgi seçip onun açısını alıyorum.
Buraya kadar sorun yok.
Bu açıyı ssget ile seçim çerçevesine uygulamak istiyorum. yani seçip çerçevesi açılı hareket edecek.
Bununla ilgili yardımcı olabilir misiniz?

Sordugun soruyla verdigin cevap ayni mi?


Sizi anlayamadım hocam.
Bu islemi autocad de manuel olarak yapabiliyor musun?
sorusundan bahsediyorsanız o sorunuza verdiğim cevabıma mı takıldınız?

12.10.2019 10:46    

alumina
Alıntı
BLack|E :

secim cercevesi acili hareket edecek ne demek?

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] > 40 < [42] Sonraki Sayfa
Copyright © 2004-2022 SQL: 1.66 saniye - Sorgu: 99 - Ortalama: 0.01676 saniye